MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027828Community[OCCT] OCCT:Documentationpublic2016-08-31 12:512016-12-09 16:39
ReporterTimo 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027828: Reference documentation of AIS_Trihedron contains invalid information about default size.
DescriptionThe reference documentation of AIS_Trihedron says in several places that its default size is 100 mm. But this is not true.

You may have a look at the following functions:

Standard_Real AIS_Trihedron::Size() const
{
  return myDrawer->DatumAspect()->FirstAxisLength();
}


Prs3d_DatumAspect::Prs3d_DatumAspect()
: myDrawFirstAndSecondAxis (Standard_True),
  myDrawThirdAxis (Standard_True),
  myToDrawLabels (Standard_True),
  myFirstAxisLength (10.0),...

So, it dependends on its datum aspect, which defaults to 10.
Steps To ReproduceNA
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0060029)
git (administrator)
2016-11-08 15:39

Branch CR27828 has been created by ysn.

SHA-1: a9da3b3f16e8ee14a98dbba9c8693639c5226af8


Detailed log of new commits:

Author: ysn
Date: Tue Nov 8 15:38:37 2016 +0300

    Fixed the description of AIS_Trihedron
(0060030)
ysn (developer)
2016-11-08 15:42

Please, review.
(0060041)
Timo (developer)
2016-11-08 17:02

The "100" mm still occur in AIS_Trihedron.hxx at the description of methods:
- HasOwnSize
- SetSize
(0060049)
git (administrator)
2016-11-08 17:37

Branch CR27828 has been updated by ysn.

SHA-1: 044841381ee7b26070d343d4fbcd82304d81b9bb


Detailed log of new commits:

Author: ysn
Date: Tue Nov 8 17:37:34 2016 +0300

    Merge branch 'CR27828' of git.dev.opencascade.org:occt into CR27828

Author: ysn
Date: Tue Nov 8 15:38:37 2016 +0300

    0027828: Reference documentation of AIS_Trihedron contains invalid information about default size.
    
    Fixed the description of AIS_Trihedron

(0060050)
ysn (developer)
2016-11-08 17:40

Please, integrate.
(0060410)
kgv (developer)
2016-11-16 11:22
edited on: 2016-11-16 11:29

> Please, integrate.
Please prepare patch following bug advancement workflow (e.g. as single commit over current master branch and without any merges).
Bug in resolved state should be assigned to reviewer, not bugmaster.

(0060438)
git (administrator)
2016-11-16 17:08

Branch CR27828_1 has been created by ysn.

SHA-1: 224e6015da6077b0ec01092beb17027c270f2978


Detailed log of new commits:

Author: ysn
Date: Wed Nov 16 17:08:24 2016 +0300

    0027828: Reference documentation of AIS_Trihedron contains invalid information about default size.
    
    Fixed the description of AIS_Trihedron
(0060439)
ysn (developer)
2016-11-16 17:09

Please, review.
(0060440)
kgv (developer)
2016-11-16 17:11

Please integrate the patch, regression testing is not needed.
(0061246)
git (administrator)
2016-12-07 11:30

Branch CR27828 has been deleted by kgv.

SHA-1: 044841381ee7b26070d343d4fbcd82304d81b9bb
(0061247)
git (administrator)
2016-12-07 11:30

Branch CR27828_1 has been deleted by kgv.

SHA-1: 224e6015da6077b0ec01092beb17027c270f2978

- Related Changesets
occt: master f3495b01
Timestamp: 2016-11-16 14:08:24
Author: ysn
Committer: apn
Details ] Diff ]
0027828: Reference documentation of AIS_Trihedron contains invalid information about default size.

Fixed the description of AIS_Trihedron
mod - dox/user_guides/visualization/visualization.md Diff ] File ]
mod - src/AIS/AIS_Trihedron.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-31 12:51 Timo New Issue
2016-08-31 12:51 Timo Assigned To => ysn
2016-11-08 15:39 git Note Added: 0060029
2016-11-08 15:42 ysn Note Added: 0060030
2016-11-08 15:42 ysn Assigned To ysn => Timo
2016-11-08 15:42 ysn Status new => resolved
2016-11-08 15:42 ysn Steps to Reproduce Updated View Revisions
2016-11-08 17:02 Timo Note Added: 0060041
2016-11-08 17:02 Timo Assigned To Timo => ysn
2016-11-08 17:02 Timo Status resolved => assigned
2016-11-08 17:37 git Note Added: 0060049
2016-11-08 17:40 ysn Note Added: 0060050
2016-11-08 17:40 ysn Assigned To ysn => bugmaster
2016-11-08 17:40 ysn Status assigned => resolved
2016-11-16 11:22 kgv Note Added: 0060410
2016-11-16 11:22 kgv Assigned To bugmaster => ysn
2016-11-16 11:22 kgv Status resolved => assigned
2016-11-16 11:29 kgv Note Edited: 0060410 View Revisions
2016-11-16 17:08 git Note Added: 0060438
2016-11-16 17:09 ysn Note Added: 0060439
2016-11-16 17:09 ysn Assigned To ysn => kgv
2016-11-16 17:09 ysn Status assigned => resolved
2016-11-16 17:11 kgv Note Added: 0060440
2016-11-16 17:11 kgv Assigned To kgv => bugmaster
2016-11-16 17:11 kgv Status resolved => reviewed
2016-11-16 18:34 apn Test case number => Not needed
2016-11-16 18:34 apn Status reviewed => tested
2016-11-18 16:37 apn Changeset attached => occt master f3495b01
2016-11-18 16:37 apn Assigned To bugmaster => apn
2016-11-18 16:37 apn Status tested => verified
2016-11-18 16:37 apn Resolution open => fixed
2016-12-07 11:30 git Note Added: 0061246
2016-12-07 11:30 git Note Added: 0061247
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker